public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/herbstluftwm/
Date: Wed, 23 Jun 2021 12:48:23 +0000 (UTC)	[thread overview]
Message-ID: <1624450168.fbb9f94fca4a20f0e9ab92d9a4ac06a93a05c05f.flow@gentoo> (raw)

commit:     fbb9f94fca4a20f0e9ab92d9a4ac06a93a05c05f
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 23 12:00:54 2021 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jun 23 12:09:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbb9f94f

x11-wm/herbstluftwm: enable tests

Closes: https://bugs.gentoo.org/797496
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 x11-wm/herbstluftwm/herbstluftwm-0.9.3.ebuild | 25 ++++++++++++++++++++++---
 x11-wm/herbstluftwm/herbstluftwm-9999.ebuild  | 25 ++++++++++++++++++++++---
 2 files changed, 44 insertions(+), 6 deletions(-)

diff --git a/x11-wm/herbstluftwm/herbstluftwm-0.9.3.ebuild b/x11-wm/herbstluftwm/herbstluftwm-0.9.3.ebuild
index f374bfa2fc7..652478161a9 100644
--- a/x11-wm/herbstluftwm/herbstluftwm-0.9.3.ebuild
+++ b/x11-wm/herbstluftwm/herbstluftwm-0.9.3.ebuild
@@ -21,10 +21,11 @@ fi
 
 LICENSE="BSD-2"
 SLOT="0"
-IUSE="+doc python"
+IUSE="+doc python test"
+RESTRICT="!test? ( test )"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
-DEPEND="
+COMMON_DEPEND="
 	media-libs/freetype
 	x11-libs/libX11
 	x11-libs/libXext
@@ -32,8 +33,18 @@ DEPEND="
 	x11-libs/libXinerama
 	x11-libs/libXrandr
 "
+DEPEND="
+	${COMMON_DEPEND}
+	test? (
+		dev-python/ewmh
+		dev-python/python-xlib
+		x11-apps/xsetroot
+		x11-base/xorg-server[xephyr,xvfb]
+		x11-misc/xdotool
+	)
+"
 RDEPEND="
-	${DEPEND}
+	${COMMON_DEPEND}
 	app-shells/bash
 	python? ( ${PYTHON_DEPS} )
 "
@@ -111,3 +122,11 @@ src_install() {
 		done
 	fi
 }
+
+distutils_enable_tests pytest
+
+src_test() {
+	ln -s "${BUILD_DIR}/herbstclient" || die "Could not symlink herbstclient"
+	ln -s "${BUILD_DIR}/herbstluftwm" || die "Could not symlink herbstluftwm"
+	python_test
+}

diff --git a/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild b/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild
index f374bfa2fc7..652478161a9 100644
--- a/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild
+++ b/x11-wm/herbstluftwm/herbstluftwm-9999.ebuild
@@ -21,10 +21,11 @@ fi
 
 LICENSE="BSD-2"
 SLOT="0"
-IUSE="+doc python"
+IUSE="+doc python test"
+RESTRICT="!test? ( test )"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
-DEPEND="
+COMMON_DEPEND="
 	media-libs/freetype
 	x11-libs/libX11
 	x11-libs/libXext
@@ -32,8 +33,18 @@ DEPEND="
 	x11-libs/libXinerama
 	x11-libs/libXrandr
 "
+DEPEND="
+	${COMMON_DEPEND}
+	test? (
+		dev-python/ewmh
+		dev-python/python-xlib
+		x11-apps/xsetroot
+		x11-base/xorg-server[xephyr,xvfb]
+		x11-misc/xdotool
+	)
+"
 RDEPEND="
-	${DEPEND}
+	${COMMON_DEPEND}
 	app-shells/bash
 	python? ( ${PYTHON_DEPS} )
 "
@@ -111,3 +122,11 @@ src_install() {
 		done
 	fi
 }
+
+distutils_enable_tests pytest
+
+src_test() {
+	ln -s "${BUILD_DIR}/herbstclient" || die "Could not symlink herbstclient"
+	ln -s "${BUILD_DIR}/herbstluftwm" || die "Could not symlink herbstluftwm"
+	python_test
+}


             reply	other threads:[~2021-06-23 12:48 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-23 12:48 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-31 11:27 [gentoo-commits] repo/gentoo:master commit in: x11-wm/herbstluftwm/ Florian Schmaus
2024-04-03 19:17 Florian Schmaus
2024-04-03 19:17 Florian Schmaus
2024-04-03 19:17 Florian Schmaus
2023-10-14 15:20 Florian Schmaus
2023-09-18  9:34 Florian Schmaus
2023-07-16 16:40 Florian Schmaus
2023-01-31 11:18 Florian Schmaus
2022-10-27 20:15 Florian Schmaus
2022-10-27 20:15 Florian Schmaus
2022-09-26 16:44 Florian Schmaus
2022-06-13  9:06 Florian Schmaus
2022-06-13  9:06 Florian Schmaus
2022-05-30  7:20 Florian Schmaus
2022-05-30  7:20 Florian Schmaus
2022-04-13 14:46 Sam James
2021-07-28  8:37 Florian Schmaus
2021-07-12  7:25 Florian Schmaus
2021-07-07 11:59 Florian Schmaus
2021-07-07 11:59 Florian Schmaus
2021-06-24  6:59 Florian Schmaus
2021-06-22  6:34 Florian Schmaus
2021-06-05 21:28 Sam James
2021-06-05 21:28 Sam James
2021-06-05 21:28 Sam James
2021-04-11  7:43 Joonas Niilola
2021-01-28  7:36 Joonas Niilola
2021-01-28  7:36 Joonas Niilola
2020-12-01 14:01 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-12-01 13:49 Andrey Utkin
2020-06-08  8:28 Jeroen Roovers
2020-06-07 11:15 Jeroen Roovers
2020-06-07  0:09 Jeroen Roovers
2020-06-05  5:44 Jeroen Roovers
2020-06-05  5:44 Jeroen Roovers
2020-05-04 20:58 Jeroen Roovers
2020-04-21  8:28 Jeroen Roovers
2020-04-21  5:39 Jeroen Roovers
2020-04-09 20:07 Jeroen Roovers
2020-04-07  7:00 Jeroen Roovers
2020-02-06 11:14 Jeroen Roovers
2020-02-06 11:13 Jeroen Roovers
2019-12-29 12:43 Jeroen Roovers
2019-12-29 12:43 Jeroen Roovers
2019-12-06 11:10 Jeroen Roovers
2019-11-19  6:37 Jeroen Roovers
2019-11-18 22:35 Tim Harder
2019-11-18 22:35 Tim Harder
2019-11-17 22:10 Tim Harder
2019-11-17 22:10 Tim Harder
2019-06-07  8:11 Tim Harder
2018-12-11  8:20 Tim Harder
2018-12-08 22:17 Patrice Clement
2017-05-04  8:54 Tim Harder
2017-05-04  8:54 Tim Harder
2017-05-04  8:54 Tim Harder
2016-04-09  2:18 Tim Harder
2015-09-15 12:54 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1624450168.fbb9f94fca4a20f0e9ab92d9a4ac06a93a05c05f.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox